import { jsx as a } from "react/jsx-runtime";
import { J as m } from "./index-_1f6rhg6.js";
import { A as c } from "./AppCard-vvom7JzI.js";
import { u } from "./useIsAppEnabled-EWMW2qIQ.js";
import l from "./EventTypeAppSettingsInterface-8XJ_he7F.js";
const b = function({ app: t, eventType: e }) {
  var p;
  const { getAppData: r, setAppData: s, disabled: n } = m(), { enabled: o, updateEnabled: i } = u(t);
  return /* @__PURE__ */ a(
    c,
    {
      hideSettingsIcon: !0,
      app: t,
      switchOnClick: (d) => {
        i(d);
      },
      switchChecked: o,
      teamId: ((p = e.team) == null ? void 0 : p.id) || void 0,
      children: /* @__PURE__ */ a(
        l,
        {
          eventType: e,
          slug: t.slug,
          disabled: n,
          getAppData: r,
          setAppData: s
        }
      )
    }
  );
};
export {
  b as default
};
